Bug 1266726 - python-pygit2-0.24.0 is available
python-pygit2-0.24.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-pygit2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Walter
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 20:16 EDT by Upstream Release Monitoring
Modified: 2016-03-20 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-20 05:08:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 0.23.2 (#1266726) (975 bytes, patch)
2015-10-11 20:18 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 0.23.3 (#1266726) (1.12 KB, patch)
2016-01-07 07:21 EST, Upstream Release Monitoring
no flags Details | Diff
Patch to update pygit2 to 0.23.3 (5.72 KB, text/plain)
2016-02-07 16:24 EST, Pierre-YvesChibon
no flags Details
[patch] Update to 0.24.0 (#1266726) (1.14 KB, patch)
2016-03-05 19:20 EST, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-09-26 20:16:18 EDT
Latest upstream release: 0.23.1
Current version/release in rawhide: 0.23.0-0.1.fc24
URL: https://pypi.python.org/pypi/pygit2

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-09-26 20:16:27 EDT
Failed to kick off scratch build.

spectool was unable to grab new sources

old source: pygit2-0.22.1.tar.gz
old sha256: f2533544a10a6dedb8f6eb36bc569285fd14294a72eebc0dc713281eb13ce476

new source: ./pygit2-0.22.1.tar.gz
new sha256: f2533544a10a6dedb8f6eb36bc569285fd14294a72eebc0dc713281eb13ce476
Comment 2 Upstream Release Monitoring 2015-09-27 13:28:07 EDT
ignatenkobrain's python-pygit2-0.23.1-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=688275
Comment 3 Upstream Release Monitoring 2015-10-11 20:18:01 EDT
Latest upstream release: 0.23.2
Current version/release in rawhide: 0.23.1-1.fc24
URL: https://pypi.python.org/pypi/pygit2

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 4 Upstream Release Monitoring 2015-10-11 20:18:14 EDT
Created attachment 1081843 [details]
[patch] Update to 0.23.2 (#1266726)
Comment 5 Upstream Release Monitoring 2015-10-11 20:20:12 EDT
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11411002
Comment 6 Upstream Release Monitoring 2016-01-07 07:21:16 EST
Latest upstream release: 0.23.3
Current version/release in rawhide: 0.23.1-2.fc24
URL: https://pypi.python.org/pypi/pygit2

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 7 Upstream Release Monitoring 2016-01-07 07:21:30 EST
Created attachment 1112431 [details]
[patch] Update to 0.23.3 (#1266726)
Comment 8 Upstream Release Monitoring 2016-01-07 07:24:24 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12448740
Comment 9 Pierre-YvesChibon 2016-02-07 16:24:09 EST
I had to rebuild pygit2 to 0.23.3 to get it working on my system as otherwise it would just fail, even just to be imported.

I'm attaching the patch if someone is interested but be aware that for some reasons the i686 build failed: http://koji.fedoraproject.org/koji/taskinfo?taskID=12898997
Comment 10 Pierre-YvesChibon 2016-02-07 16:24 EST
Created attachment 1122027 [details]
Patch to update pygit2 to 0.23.3
Comment 11 Upstream Release Monitoring 2016-02-14 09:53:26 EST
ignatenkobrain's python-pygit2-0.23.3-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=735706
Comment 12 Upstream Release Monitoring 2016-02-24 17:31:02 EST
pingou's python-pygit2-0.23.3-2.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=738661
Comment 13 Fedora Admin XMLRPC Client 2016-02-26 12:38:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Admin XMLRPC Client 2016-02-26 13:05:23 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Upstream Release Monitoring 2016-03-05 19:20:42 EST
Latest upstream release: 0.24.0
Current version/release in rawhide: 0.21.4-2.el7
URL: https://pypi.python.org/pypi/pygit2

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 16 Upstream Release Monitoring 2016-03-05 19:20:57 EST
Created attachment 1133408 [details]
[patch] Update to 0.24.0 (#1266726)
Comment 17 Upstream Release Monitoring 2016-03-05 19:32:37 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13245532
Comment 18 Upstream Release Monitoring 2016-03-20 05:07:16 EDT
ignatenkobrain's python-pygit2-0.24.0-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=746676

Note You need to log in before you can comment on or make changes to this bug.